#493 Hatari update exception request
Closed None Opened 8 years ago by musuruan.

Package Name: hatari

FAS Name of maintainer: musuruan

Reason for requesting a updates process exception:

Hatari, a package already in Fedora, has been recently re-reviewed because of a new build system used and a new GUI subpackage.
https://bugzilla.redhat.com/show_bug.cgi?id=620000

Hatari is a leaf node and no other package depends on it.

Hatari 1.4.0 incorporate a bunch of bugfixes and emulation improvements and these cannot be easily ported to the previous version because of the new build system.

I ask if Hatari 1.4.0 can at least be included in F14.


Can you explain the changes between the 1.3.1 version and 1.4.0 ?
Has the user facing experence changed a lot? The UI?
Or just the backend?

Replying to [comment:1 kevin]:

Can you explain the changes between the 1.3.1 version and 1.4.0 ?
Has the user facing experence changed a lot? The UI?
Or just the backend?

Now there are two user interfaces in hatari: the standard one that is supplied by the main program itself and it is almost the same from ages and the new enriched python UI. The installation of the latter is optional.

Here you can see some screenshots taken (even from outdated version of hatari) depicting the standard user interface:
http://hatari.berlios.de/scrshots.html

Here you can see some screenshots taken from the new python UI:
http://koti.mbnet.fi/tammat/hatari/hatari-ui.shtml#Screenshots

Other major changes from v1.3.1 to 1.4 can be read here:
http://developer.berlios.de/forum/forum.php?forum_id=35340

They are for the most part bugfixes or emulation improvements. The other main change is the new built system used.

I hope this answer your question.

This exception was approved at the 2010-11-17 meeting.
Go ahead and make the update.

Thanks for asking us.

Login to comment on this ticket.

Metadata